Skip to main content
GET
Fetching a location

Authorizations

Authorization
string
header
required

An API key issued in the Backoffice, sent as Authorization: Bearer vzk_<key id>_<secret>. A Microsoft Entra ID access token obtained with the client credentials grant is accepted on the same header. The same value is also accepted in an X-API-Key header.

Path Parameters

company_id
string
required

The location. A 24-character hexadecimal id.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5f2a1b9c4d3e2f0011223344"

Response

The location.

_id
string

A 24-character hexadecimal id.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5f2a1b9c4d3e2f0011223344"

name
string
Example:

"Head office"

location_code
string

Your own short code for the location.

Example:

"HQ"

tier
enum<string>
Available options:
Starter,
Standard,
Pro,
Enterprise
mod_date
string<date-time>
address
string
country
string
timezone
string

IANA timezone. Dates in reporting paths are read in it.

Example:

"Europe/Brussels"

languages
string[]
app_settings
object

Kiosk and flow settings.